Terminal (API documentation of hlt.language packages)
Date: 2013-01-30

hlt.language.syntax

## Class Terminal

- java.lang.Object
- - hlt.language.util.Indexed
  - - hlt.language.util.AbstractListIndexed
    - - hlt.language.syntax.Symbol
      - - hlt.language.syntax.GrammarSymbol
        - - hlt.language.syntax.Terminal

- All Implemented Interfaces:
    Comparable, Named

      public class Terminal
      extends GrammarSymbol

  This is the class of terminal symbols used by the grammar at parser construction time.
  Version:
    Last modified on Fri Apr 13 20:13:36 2012 by hak
  Author:
    Hassan Aït-Kaci
  See Also:
    `GrammarSymbol`
  Copyright:
    © by the author

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `associativity()` This symbol's associativity.
    `boolean` | `equals(java.lang.Object other)`
    `boolean` | `hasXmlInfo()`
    `boolean` | `isOperator()`
    `int` | `precedence()` This symbol's precedence.
    `Terminal` | `setXmlInfo(XmlInfo info)`
    `java.lang.String` | `toString()`
    `XmlInfo` | `xmlInfo()`

    - ### Methods inherited from class hlt.language.syntax.Symbol

      `lessThan, name`

    - ### Methods inherited from class hlt.language.util.AbstractListIndexed

      `add`

    - ### Methods inherited from class hlt.language.util.Indexed

      `hashCode, index`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### precedence

          public final int precedence()

      This symbol's precedence.

    - #### associativity

          public final int associativity()

      This symbol's associativity.

    - #### isOperator

          public final boolean isOperator()

    - #### xmlInfo

          public XmlInfo xmlInfo()

    - #### hasXmlInfo

          public boolean hasXmlInfo()

    - #### setXmlInfo

          public Terminal setXmlInfo(XmlInfo info)
                              throws BadXmlAnnotationException

      Throws:
        `BadXmlAnnotationException`

    - #### equals

          public boolean equals(java.lang.Object other)

      Overrides:
        `equals` in class `GrammarSymbol`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `Symbol`